<?php require_once('Connections/conn_sustentabilidade.php'); ?>
<?php
if (!function_exists("GetSQLValueString")) {
function GetSQLValueString($theValue, $theType, $theDefinedValue = "", $theNotDefinedValue = "") 
{
  if (PHP_VERSION < 6) {
    $theValue = get_magic_quotes_gpc() ? stripslashes($theValue) : $theValue;
  }

  $theValue = function_exists("mysql_real_escape_string") ? mysql_real_escape_string($theValue) : mysql_escape_string($theValue);

  switch ($theType) {
    case "text":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;    
    case "long":
    case "int":
      $theValue = ($theValue != "") ? intval($theValue) : "NULL";
      break;
    case "double":
      $theValue = ($theValue != "") ? doubleval($theValue) : "NULL";
      break;
    case "date":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;
    case "defined":
      $theValue = ($theValue != "") ? $theDefinedValue : $theNotDefinedValue;
      break;
  }
  return $theValue;
}
}
$colname_lista_eventos_busca = "-1";
if (isset($_GET['id_tipo'])) {
  $colname_lista_eventos_busca = $_GET['id_tipo'];
}

$colname_lista_eventos_busca = "-1";
if (isset($_GET['buscar'])) {
  $colname_lista_eventos_busca = $_GET['buscar'];
}
mysql_select_db($database_conn_sustentabilidade, $conn_sustentabilidade);
$query_lista_eventos_busca = sprintf("SELECT * FROM vw_tbeventos WHERE descr_evento LIKE %s ORDER BY descr_evento ASC", GetSQLValueString("%" . $colname_lista_eventos_busca . "%", "text"));
$lista_eventos_busca = mysql_query($query_lista_eventos_busca, $conn_sustentabilidade) or die(mysql_error());
$row_lista_eventos_busca = mysql_fetch_assoc($lista_eventos_busca);
$totalRows_lista_eventos_busca = mysql_num_rows($lista_eventos_busca);


?>
<!DOCTYPE html>
<html lang="pt-br">
  <head>
    <meta charset="utf-8">
	<title>Sustentaitapê</title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="icon" type="image/x-icon" href="css/favicon.ico" />
	<link href="bootstrap/css/bootstrap.min.css" rel="stylesheet">
	<link rel="stylesheet" href="css/font-face/stylesheet.css">
	<link href="css/estilo.css" rel="stylesheet">
  </head>
  <body>
	<div class="modal-open">
		<?php include ('contato.php');?>
		<?php include ('sobre.php');?>
	</div>
	<main class="container">  
	<nav class="navbar navbar-fixed-top navbar-inverse navbar-transparente">
		<?php include ('menu.php');?>
	</nav>
	<section style="padding-top: 60px;">


	<h2 class="breadcrumb alert-wf">Você pesquisou por: <i><strong><?php echo $_GET['buscar'] ?></i></strong></h2>

		<?php if ($totalRows_lista_eventos_busca == 0) { ?>
		<h4 class="breadcrumb text-center">Não encontramos nenhum evento "<?php echo $_GET['buscar'] ?>". Não se preocupe, teremos em breve mais eventos!</h4>
		<?php } ?>

		<?php if ($totalRows_lista_eventos_busca > 0) { ?>
		<section class="main">
			<section class="container-fluid">
				<section class="row">
					<?php do { ?>
						<section class="col-xs-12 col-md-6 col-sm-6 thumbnail">
							<section class="col-md-12">
							  <img src="imagens/<?php echo $row_lista_eventos_busca['imagem_evento']?>" class="img-responsive img-thumbnail" alt="Imagem do Evento" style="max-height: 100%">
							  </section>
							<section class="col-md-12">
							  <h4><?php echo $row_lista_eventos_busca['rotulo_tipo']?></h4>
							  <p>Público: <?php echo $row_lista_eventos_busca['publico_evento']?></p>
							  <p><?php echo mb_strimwidth($row_lista_eventos_busca['descr_evento'],0,55,"...")?></p>
							  <p class="text-right">
								  <a href="eventos_detalhe.php?id_evento=<?php echo $row_lista_eventos_busca['id_evento'];?>" class="btn btn-default">Veja mais!</a>
							  </p>
							</section>
						</section>
					<?php } while ($row_lista_eventos_busca = mysql_fetch_assoc($lista_eventos_busca)); ?>
					<?php }?>
				</section>
			</section>
		</section>
	</main>
	<footer><?php include 'rodape.php';?></footer>
	<!-- Jquery (obrigatório para plugin JS do Bootstrap) -->
	<script src="bootstrap/jquery.min.js"></script>

	<!-- Plugin JS-->
	<script src="bootstrap/js/bootstrap.min.js"></script>
</body>
</html>
<?php
mysql_free_result($lista_eventos_busca);
?>
